%define name vinagre
%define version 2.24.0
%define release %mkrel 1

Summary: VNC Client for the GNOME Desktop
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/vinagre/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: Networking/Remote access
Url: http://www.gnome.org/projects/vinagre/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgtk-vnc-devel >= 0.3.3
BuildRequires: libglade2.0-devel
BuildRequires: libGConf2-devel
BuildRequires: libgnome-vfs2-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libavahi-ui-devel libavahi-gobject-devel
BuildRequires: gnome-panel-devel
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires(post):shared-mime-info
Requires(postun):shared-mime-info

%description
Vinagre is a VNC Client for the GNOME Desktop.
Features:
* You can connect to several machines at the same time, we like tabs
* You can keep track of your most used connections, we like favorites
* You can browse your network for VNC servers, we like avahi
* You don't need to supply the password on every connection, we like
  GNOME Keyring (well, this is not yet implemented)
* It's still in alpha stage (but usable), so, bugs are around

%prep
%setup -q

%build
%configure2_5x --enable-avahi
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

desktop-file-install --vendor="" \
  --add-category="RemoteAccess" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%if %mdkversion < 200900
%post
%update_menus
%update_desktop_database
%update_mime_database
%update_icon_cache hicolor
%post_install_gconf_schemas vinagre
%endif

%preun
%preun_uninstall_gconf_schemas vinagre

%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%clean_mime_database
%clean_icon_cache hicolor
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%_sysconfdir/gconf/schemas/vinagre.schemas
%_bindir/*
%_datadir/applications/*
%_datadir/%name
%dir %_datadir/omf/vinagre
%_datadir/omf/vinagre/vinagre-C.omf
%_datadir/icons/hicolor/*/*/*.*
%_datadir/mime/packages/vinagre-mime.xml
%_mandir/man1/vinagre.1*
%_libdir/bonobo/servers/GNOME_VinagreApplet.server
%_libexecdir/vinagre-applet



%changelog
* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286801
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282757
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278407
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273563
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231167
- new version
- update deps
- update file list

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2009.0
+ Revision: 192461
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2008.1
+ Revision: 183466
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.4.92-1mdv2008.1
+ Revision: 174830
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 0.4.91-1mdv2008.1
+ Revision: 165220
- new version
- bump deps
- handle gconf schema

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 0.4.90-1mdv2008.1
+ Revision: 159346
- fix buildrequires
- new version
- update file list

* Fri Jan 25 2008 Funda Wang <fundawang@mandriva.org> 0.4-2mdv2008.1
+ Revision: 157805
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2008.1
+ Revision: 119227
- new version
- drop patch
- bump deps
- add icons and mime package
- add installation and uninstallation scripts

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 0.3-2mdv2008.1
+ Revision: 105175
- reenable avahi support (bug #35220)

* Fri Sep 14 2007 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2008.0
+ Revision: 85489
- new version
- bump gtk-vnc dep
- fix URL

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2008.0
+ Revision: 84124
- Import vinagre



* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2008.0
- initial package
